%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Author            : Jeroen de Ridder
% Copyright         : J. de Ridder, J.deRidder@tudelft.nl
%                     Delft University of Technology
%                     P.O. Box 5031, 2600 GA Delft,
%          
%                     The Netherlands Cancer Institute
%                     Plesmanlaan 121, 1066 CX, Amsterdam,
%                     The Netherlands
% 
% Reference paper   : de Ridder, J, Kool, J, Uren, A,
%                     Bot, J, Wessels, L, Reinders, M.
%                     Co-occurrence analysis of insertional
%                     mutagenesis data reveals cooperating
%                     oncogenes. Bioinformatics, 2007, 
%                     23(13), i133-i141
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Gives all unique two combinations of the input list, using precomputed
%indexing. INPUTLIST MUST BE longer than 2!
function  output = findc_lookup(insertion_matrix,lookuptable,T,max_Nt,Nt)

%[T,max_Nt] = size(insertion_matrix); %maybe precomputed
%For speed issues we define an array with maximum size
N_all = cumsum(1:max_Nt);

cooc = zeros(round(length(max_Nt)*T/10),2);
% ind = 1:N:length(c_tumcnt)*N;
ind = 0;
for i = 1:T
    tmp = insertion_matrix(i,:);
    N_tmp = sum(tmp~=0);
    tmp = tmp(1:N_tmp);
    tmp = tmp(lookuptable(1:N_all(N_tmp-1),:));
    ind_tmp = ind+N_all(N_tmp-1);
    cooc(ind+1:ind_tmp,[1 2]) = tmp;
    ind = ind_tmp;
end
output = cooc(cooc(:,1)~=0 & cooc(:,2)~=0,:);
