%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Author            : Theo Knijnenburg
% Copyright         : T. Knijnenburg t.a.knijnenburg@tudelft.nl
%                     Delft University of Technology
%                     P.O. Box 5031, 2600 GA Delft,
%				      The Netherlands          
% 
% Reference paper   : de Ridder, J, Kool, J, Uren, A,
%                     Bot, J, Wessels, L, Reinders, M.
%                     Co-occurrence analysis of insertional
%                     mutagenesis data reveals cooperating
%                     oncogenes. Bioinformatics, 2007, 
%                     23(13), i133-i141
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Adapted from the MATLAB implementation (since that one is inaccurate)
function p = hygecdf3(X,M,K,N)

[R,C] = size(X);

for r = 1:R;
    for c = 1:C;
        %init
        res = 1;
        pr = 0;
        i = X(r,c);
        k = K(r,c);
        n = N(r,c);
        m = M(r,c);
        %loop
        if i==0;
            pr=1;
        else
            pr = 1-hygecdf(i-1,m,k,n);
        end
        if pr<1e-6;
            pr=0;
            while res>0&i<=min(k,n)
                res = hygepdf(i,m,k,n);
                pr = pr + res;
                i = i + 1;
            end
        end
        p(r,c) = pr;
    end
end