%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Author            : Jeroen de Ridder
% Copyright         : J. de Ridder, J.deRidder@tudelft.nl
%                     Delft University of Technology
%                     P.O. Box 5031, 2600 GA Delft,
%          
%                     The Netherlands Cancer Institute
%                     Plesmanlaan 121, 1066 CX, Amsterdam,
%                     The Netherlands
% 
% Reference paper   : de Ridder, J, Kool, J, Uren, A,
%                     Bot, J, Wessels, L, Reinders, M.
%                     Co-occurrence analysis of insertional
%                     mutagenesis data reveals cooperating
%                     oncogenes. Bioinformatics, 2007, 
%                     23(13), i133-i141
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function out = reorient(template,orig)
O = orig;
%Center around zero
template = template-repmat(mean(template,2),1,size(template,2));
orig = orig-repmat(mean(orig,2),1,size(template,2));
forig = fliplr(orig);
D = zeros(length(template),1);
F = zeros(length(template),1);
for i = 1:length(template)
    D(i) = sum((template(1,:)-[orig(1,i:end) orig(1,1:i-1)]).^2+...
        (template(2,:)-[orig(2,i:end) orig(2,1:i-1)]).^2 );
    F(i) = sum((template(1,:)-[forig(1,i:end) forig(1,1:i-1)]).^2+...
        (template(2,:)-[forig(2,i:end) forig(2,1:i-1)]).^2 );
end

[mD,I(1)] = min(D);
[mF,I(2)] = min(F);
if mD<mF
    out = [O(:,I(1):end) O(:,1:I(1)-1)];
else
    O = fliplr(O);
    out = [O(:,I(2):end) O(:,1:I(2)-1)];
end