%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Author            : Jeroen de Ridder
% Copyright         : J. de Ridder, J.deRidder@tudelft.nl
%                     Delft University of Technology
%                     P.O. Box 5031, 2600 GA Delft,
%          
%                     The Netherlands Cancer Institute
%                     Plesmanlaan 121, 1066 CX, Amsterdam,
%                     The Netherlands
% 
% Reference paper   : de Ridder, J, Kool, J, Uren, A,
%                     Bot, J, Wessels, L, Reinders, M.
%                     Co-occurrence analysis of insertional
%                     mutagenesis data reveals cooperating
%                     oncogenes. Bioinformatics, 2007, 
%                     23(13), i133-i141
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear
noH = 8;

q = dir('permres_*');
perms = length(q);

NU = zeros(noH,1);
PH = cell(noH,1);
%Reserve some space
no_unity_peaks = zeros(noH,500);
for i = 1:perms
    load(q(i).name);
    for h = 1:noH
        peak_heights_unpack = squeeze(peak_heights(h,:,:));
        tmp = peak_heights_unpack(:);
        PH{h} = [PH{h}; tmp(tmp>0)];
        NU(h) = NU(h) + sum(no_unity_peaks(h,:));
    end
end
extra_NU = 0;
for h = 1:noH
    %Remove some of the last 'ones'
    extra_NU = find(PH{h}==1);
    NU(h) = NU(h) + length(extra_NU);
    PH{h}(extra_NU) = [];
    xCDF{h} = [1; unique(PH{h})];
    yCDF{h} = [NU(h); histc(PH{h},unique(PH{h}))];
    tmp = sum(yCDF{h});
    yCDF{h} = cumsum(yCDF{h})/tmp;
end

save Data/null_mm8 xCDF yCDF
