%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Author            : Jeroen de Ridder
% Copyright         : J. de Ridder, J.deRidder@tudelft.nl
%                     Delft University of Technology
%                     P.O. Box 5031, 2600 GA Delft,
%          
%                     The Netherlands Cancer Institute
%                     Plesmanlaan 121, 1066 CX, Amsterdam,
%                     The Netherlands
% 
% Reference paper   : de Ridder, J, Kool, J, Uren, A,
%                     Bot, J, Wessels, L, Reinders, M.
%                     Co-occurrence analysis of insertional
%                     mutagenesis data reveals cooperating
%                     oncogenes. Bioinformatics, 2007, 
%                     23(13), i133-i141
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function target_I = target_genes(CIS,genes,no_gen,W)
target_I = zeros(length(CIS),no_gen);
for i = 1:length(CIS)
    [dist, I] = sort(abs(genes-CIS(i)));
    I = I(dist(:)<W);
    dist = dist(dist<W);
    if length(dist)>no_gen;
        target_I(i,:) = I(1:no_gen)';
    else
        target_I(i,1:length(I)) = I';
    end
end